com.sun.grid.jgdi.monitoring

## Class JobInfoImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.JobInfoImpl

- All Implemented Interfaces:
    JobInfo, java.io.Serializable
  Direct Known Subclasses:
    JobSummaryImpl

      public class JobInfoImpl
      extends java.lang.Object
      implements JobInfo, java.io.Serializable

  Default implemenation of `JobInfo`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobInfoImpl()` Creates a new instance of JobInfo

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Get the id of the job
    `java.lang.String` | `getMasterQueue()` Get the name of the master queue of the job.
    `java.lang.String` | `getName()` Get the name of the job
    `double` | `getPriority()` Get the priority of the job
    `java.lang.String` | `getQinstanceName()` Get the queue instance name of the job
    `java.lang.String` | `getQueue()` Get the queue of the job
    `java.util.Date` | `getStartTime()` Get the start time of the job
    `java.lang.String` | `getState()` Get the state of the job
    `java.util.Date` | `getSubmitTime()` Get the submit time of the job
    `java.lang.String` | `getTaskId()` Get the task id of the job
    `java.lang.String` | `getUser()` Get the owner of the job
    `void` | `setId(int id)` Set the id of the job
    `void` | `setMasterQueue(java.lang.String qname)` Set the name of the master queue of the job
    `void` | `setName(java.lang.String name)` Set the name of the job
    `void` | `setPriority(double priority)` Set the priority of the job
    `void` | `setQinstanceName(java.lang.String qinstance)` Set the queue instance name of the job
    `void` | `setQueue(java.lang.String queue)` Set the queue of the job
    `void` | `setStartTime(java.util.Date startTime)` Set the start time of the job
    `void` | `setStartTime(long startTime)` Set the start time of the job
    `void` | `setState(java.lang.String state)` Set the state of the job
    `void` | `setSubmitTime(java.util.Date submitTime)` Set the submit time of the job
    `void` | `setSubmitTime(long submitTime)` Set the submit time of the job
    `void` | `setTaskId(java.lang.String taskId)` Set the task id of the job
    `void` | `setUser(java.lang.String user)` Set the owner of the job

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobInfoImpl

          public JobInfoImpl()

      Creates a new instance of JobInfo

  - ### Method Detail

    - #### getId

          public int getId()

      Get the id of the job
      Specified by:
        `getId` in interface `JobInfo`
      Returns:
        id of the job

    - #### setId

          public void setId(int id)

      Set the id of the job
      Parameters:
        `id` - id of the job

    - #### getTaskId

          public java.lang.String getTaskId()

      Get the task id of the job
      Specified by:
        `getTaskId` in interface `JobInfo`
      Returns:
        task id of the job

    - #### setTaskId

          public void setTaskId(java.lang.String taskId)

      Set the task id of the job
      Parameters:
        `taskId` - the task id of the job

    - #### getPriority

          public double getPriority()

      Get the priority of the job
      Specified by:
        `getPriority` in interface `JobInfo`
      Returns:
        the priority of the job

    - #### setPriority

          public void setPriority(double priority)

      Set the priority of the job
      Parameters:
        `priority` - the priority of the job

    - #### getName

          public java.lang.String getName()

      Get the name of the job
      Specified by:
        `getName` in interface `JobInfo`
      Returns:
        the name of the job

    - #### setName

          public void setName(java.lang.String name)

      Set the name of the job
      Parameters:
        `name` - the name of the job

    - #### getUser

          public java.lang.String getUser()

      Get the owner of the job
      Specified by:
        `getUser` in interface `JobInfo`
      Returns:
        user of the of the job

    - #### setUser

          public void setUser(java.lang.String user)

      Set the owner of the job
      Parameters:
        `user` - owner of the job

    - #### getState

          public java.lang.String getState()

      Get the state of the job
      Specified by:
        `getState` in interface `JobInfo`
      Returns:
        state of the job

    - #### setState

          public void setState(java.lang.String state)

      Set the state of the job

    - #### getQueue

          public java.lang.String getQueue()

      Get the queue of the job
      Specified by:
        `getQueue` in interface `JobInfo`
      Returns:
        the queue

    - #### setQueue

          public void setQueue(java.lang.String queue)

      Set the queue of the job
      Parameters:
        `queue` - the queue of the job

    - #### getQinstanceName

          public java.lang.String getQinstanceName()

      Get the queue instance name of the job
      Specified by:
        `getQinstanceName` in interface `JobInfo`
      Returns:
        the queue instance name

    - #### setQinstanceName

          public void setQinstanceName(java.lang.String qinstance)

      Set the queue instance name of the job
      Parameters:
        `qinstance` - the queue instance name of the job

    - #### getMasterQueue

          public java.lang.String getMasterQueue()

      Get the name of the master queue of the job.
      Specified by:
        `getMasterQueue` in interface `JobInfo`
      Returns:
        name of the master queue

    - #### setMasterQueue

          public void setMasterQueue(java.lang.String qname)

      Set the name of the master queue of the job
      Parameters:
        `qname` - of the master queue

    - #### getSubmitTime

          public java.util.Date getSubmitTime()

      Get the submit time of the job
      Specified by:
        `getSubmitTime` in interface `JobInfo`
      Returns:
        the submit time

    - #### setSubmitTime

          public void setSubmitTime(java.util.Date submitTime)

      Set the submit time of the job
      Parameters:
        `submitTime` - the submit time

    - #### setSubmitTime

          public void setSubmitTime(long submitTime)

      Set the submit time of the job
      Parameters:
        `submitTime` - submit time in millis

    - #### getStartTime

          public java.util.Date getStartTime()

      Get the start time of the job
      Specified by:
        `getStartTime` in interface `JobInfo`
      Returns:
        the start time

    - #### setStartTime

          public void setStartTime(java.util.Date startTime)

      Set the start time of the job
      Parameters:
        `startTime` - the submit time

    - #### setStartTime

          public void setStartTime(long startTime)

      Set the start time of the job
      Parameters:
        `startTime` - start time in millis

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.